<?php





function getUserIP()

{

    $client  = @$_SERVER['HTTP_CLIENT_IP'];

    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];

    $remote  = $_SERVER['REMOTE_ADDR'];

	



    if(filter_var($client, FILTER_VALIDATE_IP))

    {

        $ip = $client;

    }

    elseif(filter_var($forward, FILTER_VALIDATE_IP))

    {

        $ip = $forward;

    }

    else

    {

        $ip = $remote;

    }



    return $ip;

}







$user_agent     =   $_SERVER['HTTP_USER_AGENT'];



function getOS() { 



    global $user_agent;



    $os_platform    =   "Unknown OS Platform";



    $os_array       =   array(

                            '/windows nt 10/i'     =>  'Windows 10',

                            '/windows nt 6.3/i'     =>  'Windows 8.1',

                            '/windows nt 6.2/i'     =>  'Windows 8',

                            '/windows nt 6.1/i'     =>  'Windows 7',

                            '/windows nt 6.0/i'     =>  'Windows Vista',

                            '/windows nt 5.2/i'     =>  'Windows Server 2003/XP x64',

                            '/windows nt 5.1/i'     =>  'Windows XP',

                            '/windows xp/i'         =>  'Windows XP',

                            '/windows nt 5.0/i'     =>  'Windows 2000',

                            '/windows me/i'         =>  'Windows ME',

                            '/win98/i'              =>  'Windows 98',

                            '/win95/i'              =>  'Windows 95',

                            '/win16/i'              =>  'Windows 3.11',

                            '/macintosh|mac os x/i' =>  'Mac OS X',

                            '/mac_powerpc/i'        =>  'Mac OS 9',

                            '/linux/i'              =>  'Linux',

                            '/ubuntu/i'             =>  'Ubuntu',

                            '/iphone/i'             =>  'iPhone',

                            '/ipod/i'               =>  'iPod',

                            '/ipad/i'               =>  'iPad',

                            '/android/i'            =>  'Android',

                            '/blackberry/i'         =>  'BlackBerry',

                            '/webos/i'              =>  'Mobile'

                        );



    foreach ($os_array as $regex => $value) { 



        if (preg_match($regex, $user_agent)) {

            $os_platform    =   $value;

        }



    }   



    return $os_platform;



}



function getBrowser() {



    global $user_agent;



    $browser        =   "Unknown Browser";



    $browser_array  =   array(

                            '/msie/i'       =>  'Internet Explorer',

                            '/firefox/i'    =>  'Firefox',

                            '/safari/i'     =>  'Safari',

                            '/chrome/i'     =>  'Chrome',

                            '/edge/i'       =>  'Edge',

                            '/opera/i'      =>  'Opera',

                            '/netscape/i'   =>  'Netscape',

                            '/maxthon/i'    =>  'Maxthon',

                            '/konqueror/i'  =>  'Konqueror',

                            '/mobile/i'     =>  'Handheld Browser'

                        );



    foreach ($browser_array as $regex => $value) { 



        if (preg_match($regex, $user_agent)) {

            $browser    =   $value;

        }



    }



    return $browser;



}





$user_os        =   getOS();

$user_browser   =   getBrowser();

$user_agent     =   $_SERVER['HTTP_USER_AGENT'];

$referer = $_SERVER['HTTP_REFERER'];









	$name = $_POST['name'];        // Sender's name

	$email = $_POST['email'];      // Sender's email address

	$phone  = $_POST['phone'];     // Sender's email address

	$message = $_POST['message'];  // Sender's message

	$user_ip = getUserIP();

	

	



	$to = 'info@maquae.com';     // Recipient's email address

	$subject = "Enquiry from:" .$name; // Message title

    

	$body = 

	

"<table>

<tr>

<td>Name: </td>

<td>".$name."</td>

</tr>

<tr>

<td>Email: </td>

<td>".$email."</td>

</tr>

<tr>

<td>Phone No.: </td>

<td>".$phone."</td>

</tr>

<td>Message: </td>

<td>".$message."</td>

</tr>

<tr>

<td>IP: </td>

<td>".$user_ip."</td>

</tr>

<tr>

<td>OS: </td>

<td>".$user_os."</td>

</tr>

<tr>

<td>Browser: </td>

<td>".$user_browser."</td>

</tr> 

<tr>

<td>Referer: </td>

<td>".$referer."</td>

</tr>

</table>



";

	

		

	

	$result='';

	

	$headers = "MIME-Version: 1.0" . "\r\n";

    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

    $headers .= 'From:'.$email . "\r\n";



	// If there are no errors, send the email

	if (!$errmsg) {

		if (mail ($to, $subject, $body, $headers)) {

			$result='<div class="alert alert-success">Thank you for contacting us. Your message has been successfully sent. We will contact you very soon!</div>';

		}

		else {

		  $result='<div class="alert alert-danger">Sorry there was an error sending your message. Please try again later.</div>';

		}

	}

	else{

		$result='<div class="alert alert-danger">'.$errmsg.'</div>';

	}

	echo $result;









?>